Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.event
Class RendererChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.RendererChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class RendererChangeEvent
extends ChartChangeEvent

An event that can be forwarded to any `RendererChangeListener` to signal a change to a plot.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.event.ChartChangeEvent
`GENERAL, NEW_DATASET, UPDATED_DATASET`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RendererChangeEvent(java.lang.Object renderer)` Creates a new event.

Method Summary
`java.lang.Object` | `getRenderer()` Returns the renderer that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RendererChangeEvent

    public RendererChangeEvent(java.lang.Object renderer)

  Creates a new event.

Parameters:
  `renderer` - the renderer that generated the event.

Method Detail

### getRenderer

    public java.lang.Object getRenderer()

  Returns the renderer that generated the event.

  Returns:
    The renderer that generated the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD